Package org.opensaml.saml.common.assertion

# Class ValidationContext

java.lang.Object
org.opensaml.saml.common.assertion.ValidationContext

@NotThreadSafe public class ValidationContext extends Object
Context which holds state related to a single validation event.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Map<String,Object>`
`dynamicParameters`
Dynamic parameters used as input to, and output from, the validation process.
`private Map<String,Object>`
`staticParameters`
Static parameters used as input to the validation process.
`private final List<String>`
`validationFailureMessages`
Error messaging describing what validation check an assertion failed.

## Constructor Summary

Constructors
Constructor
Description
`ValidationContext()`
Constructor.
`ValidationContext(Map<String,Object> newStaticParameters)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`getDynamicParameters()`
Gets the dynamic parameters used input to, and output from, the validation process.
`Map<String,Object>`
`getStaticParameters()`
Gets the static parameters used as input to the validation process.
`List<String>`
`getValidationFailureMessages()`
Gets the message describing why the validation process failed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### staticParameters

@Nonnull @NullableElements private Map<String,Object> staticParameters
Static parameters used as input to the validation process.

### dynamicParameters

@Nonnull @NullableElements private Map<String,Object> dynamicParameters
Dynamic parameters used as input to, and output from, the validation process.

### validationFailureMessages

@Nonnull private final List<String> validationFailureMessages
Error messaging describing what validation check an assertion failed.

## Constructor Details

### ValidationContext

public ValidationContext()
Constructor. Creates a validation context with no global environment.

### ValidationContext

public ValidationContext(@Nullable @NullableElements Map<String,Object> newStaticParameters)
Constructor.

Parameters:
  `newStaticParameters` - static parameters for the validation evaluation

## Method Details

### getStaticParameters

@Nonnull @NullableElements @Unmodifiable @NotLive public Map<String,Object> getStaticParameters()
Gets the static parameters used as input to the validation process. The returned map is immutable.

Returns:
  static parameters used as input to the validation process

### getDynamicParameters

@Nonnull @NullableElements @Live public Map<String,Object> getDynamicParameters()
Gets the dynamic parameters used input to, and output from, the validation process. The returned map is mutable.

Returns:
  dynamic parameters used input to, and output from, the validation process

### getValidationFailureMessages

@Nonnull @Live public List<String> getValidationFailureMessages()
Gets the message describing why the validation process failed.

Returns:
  message describing why the validation process failed